Bug 17896 - server troubles on Alpha with Permedia 2 card
server troubles on Alpha with Permedia 2 card
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-26 17:59 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-13 15:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-09-26 17:59:51 EDT
With XFree86-3DLabs-3.3.6-33 on Alpha UX with Permedia 2 card
various application "decorations" are not displayed properly.
For example - all controlls on the bottom edge of xpdf look, roughly,
like black rectangles.  In xfig all "tool icons" show up as black
blobs and a background is a wondrous thing hard to describe.  No such
things happen with XFree86-3DLabs-3.3.6-20 and 6.2 distribution.

All these "extra effects" are absent if /usr/X11R6/bin/XFree86
from XFree86-4.0.1-1 is used instead, without any other changes,
but this server suffers from time to time from sudden lockups (hard
to repeat) and may have some other side-effects on a console like
a totall loss of colour on a console after a shutdown; all fonts
are either light or dark grey and apparently there is no way to reset
this save of reboot.  Once again, this does not happens reliably.

  Michal
  michal@harddata.com
Comment 1 Mike A. Harris 2001-04-10 01:01:55 EDT
A *MAJOR* new update to the Permedia driver has just been incorporated
into XFree86-4.0.3-8.  The patches are from Compaq, and fix numerous
problems on Alpha, as well as other platforms.  These packages are available
for download at:   http://people.redhat.com/mharris
Please close the bug report after confirming that it does in fact fix the
problem for you, and ensure that you fill out new bug reports if you encounter
any new errors.  Thanks.
Comment 2 Mike A. Harris 2001-04-13 13:55:49 EDT
I mistakenly gave a bad URL above.  ;o(  The proper URL is:

ftp://people.redhat.com

Not http.  Please try out the latest code and let me know if this problem is
fixed now.
Comment 3 Michal Jaegermann 2001-04-13 15:23:33 EDT
I am afraid that I do not have anymore UX and/or Permedia 2 graphics card to
be able to do any testing for this particular bug.
Comment 4 Mike A. Harris 2001-04-25 05:11:16 EDT
From feedback I've received from other Permedia users, the current
XFree86-4.0.3-9 and higher seem to work good now, nobody was able
to reproduce the problem.  I believe this can be safely closed now.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.